package com.jcg.formdata.examples.jersey.resources;


import java.io.InputStream;
import java.io.IOException;
import javax.ws.rs.Consumes;
import javax.ws.rs.FormParam;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;


/**
 *
 * @author omozegieaziegbe
 */
@Path("/form")
public class FormResource {

    @POST
    @Path("/submit")
    @Consumes(MediaType.APPLICATION_FORM_URLENCODED)
    public Response submitForm(
            @FormParam("username") String username,
            @FormParam("password") String password) {
        return Response.ok("Received form submission - Username: " + username + ", Password: " + password).build();
    }

    @POST
    @Path("/upload")
    @Consumes(MediaType.MULTIPART_FORM_DATA)
    public Response uploadFile(
            @FormDataParam("file") InputStream fileInputStream,
            @FormDataParam("file") FormDataContentDisposition fileDetail,
            @FormDataParam("description") String description) throws IOException {
        
        return Response.ok("Received file upload - Filename: " + fileDetail.getFileName() + ", Description: " + description).build();
    }

}
